package com.zhibao.crm.cms.entity;

import com.jfinal.kit.PropKit;
import com.jfinal.plugin.activerecord.generator.Generator;
import com.jfinal.plugin.druid.DruidPlugin;
import javax.sql.DataSource;

public class _JFinalDemoGenerator {

   public static DataSource getDataSource() {
      PropKit.use("config.properties");
      DruidPlugin druidPlugin = new DruidPlugin(PropKit.get("jdbc.url"), PropKit.get("jdbc.username"), PropKit.get("jdbc.password"), PropKit.get("jdbc.driver"));
      druidPlugin.start();
      return druidPlugin.getDataSource();
   }

   public static void main(String[] args) {
      String baseModelPackageName = "com.cms.entity.base";
      String baseModelOutputDir = "c:/src/com/cms/admin/entity/base";
      String modelPackageName = "com.cms.entity";
      String modelOutputDir = baseModelOutputDir + "/..";
      Generator generator = new Generator(getDataSource(), baseModelPackageName, baseModelOutputDir, modelPackageName, modelOutputDir);
      generator.setGenerateChainSetter(false);
      generator.setGenerateDaoInModel(true);
      generator.setGenerateChainSetter(true);
      generator.setGenerateDataDictionary(false);
      generator.setRemovedTableNamePrefixes(new String[]{"crm_cms_"});
      generator.generate();
   }
}
